summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-03-20 21:23:41 +0100
committerLars Wendler <polynomial-c@gentoo.org>2019-03-20 21:32:56 +0100
commitc705745d1a3c0c6a501ab7467b17376ee57963e6 (patch)
treeedb5693c40747c601acd9a042081ded78111ad16
parentmedia-sound/mumble: Prepare live ebuild for 1.3.0_rc* releases. (diff)
downloadgentoo-c705745d1a3c0c6a501ab7467b17376ee57963e6.tar.gz
gentoo-c705745d1a3c0c6a501ab7467b17376ee57963e6.tar.bz2
gentoo-c705745d1a3c0c6a501ab7467b17376ee57963e6.zip
media-sound/mumble: Bump to version 1.3.0_rc1
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--media-sound/mumble/Manifest1
-rw-r--r--media-sound/mumble/mumble-1.3.0_rc1.ebuild139
2 files changed, 140 insertions, 0 deletions
diff --git a/media-sound/mumble/Manifest b/media-sound/mumble/Manifest
index 819c74785c9..804e4f168ae 100644
--- a/media-sound/mumble/Manifest
+++ b/media-sound/mumble/Manifest
@@ -1 +1,2 @@
+DIST mumble-1.3.0-rc1.tar.gz 8638701 BLAKE2B 6c97c528e8b598bb86a7318e997067706216436b37aabb06931e509d1c713d0104aa599a72235dd0afd46b34779205bd622a496bf14fd54aa065d9ab1d869725 SHA512 e993b18b0ecf620d3a9a89f145c18b9ecde3aaf9b7217e235b7472908c81a365323c8683dd6fc9ed14b108160f8bf5244369c2a9ee57c22595550220d158516c
DIST mumble-1.3.0_pre20190313.tar.xz 2904672 BLAKE2B 4f7b9b63b35c04ee646364cdccd8dd171ba63e41cdede79098ae68d551dd2aee7d2ee74711f92eb0da9998a199061d4438bebdaa1807f980cdfdfccf7e0460b6 SHA512 623103c846103e306ce9fb527130ecda8b65f8486819cc189fb21a4b313fbf987b29a63838c1eb29d0cbd71ae464b2acba4110fb500365115636c3d23827eec0
diff --git a/media-sound/mumble/mumble-1.3.0_rc1.ebuild b/media-sound/mumble/mumble-1.3.0_rc1.ebuild
new file mode 100644
index 00000000000..d15c4124e79
--- /dev/null
+++ b/media-sound/mumble/mumble-1.3.0_rc1.ebuild
@@ -0,0 +1,139 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop qmake-utils xdg
+
+DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
+HOMEPAGE="https://wiki.mumble.info"
+if [[ "${PV}" == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
+ EGIT_SUBMODULES=( '-*' celt-0.7.0-src celt-0.11.0-src themes/Mumble 3rdparty/rnnoise-src )
+else
+ if [[ "${PV}" == *_pre* ]] ; then
+ SRC_URI="https://dev.gentoo.org/~polynomial-c/dist/${P}.tar.xz"
+ else
+ MY_PV="${PV/_/-}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://github.com/mumble-voip/mumble/releases/download/${MY_PV}/${MY_P}.tar.gz"
+ S="${WORKDIR}/${P/_*}"
+ fi
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="BSD MIT"
+SLOT="0"
+IUSE="+alsa +dbus debug g15 jack libressl +opus oss pch portaudio pulseaudio +rnnoise speech zeroconf"
+
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtsql:5[sqlite]
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ >=dev-libs/protobuf-2.2.0:=
+ >=media-libs/libsndfile-1.0.20[-minimal]
+ >=media-libs/speex-1.2.0
+ media-libs/speexdsp
+ sys-apps/lsb-release
+ x11-libs/libX11
+ x11-libs/libXi
+ alsa? ( media-libs/alsa-lib )
+ dbus? ( dev-qt/qtdbus:5 )
+ g15? ( app-misc/g15daemon )
+ jack? ( virtual/jack )
+ !libressl? ( >=dev-libs/openssl-1.0.0b:0= )
+ libressl? ( dev-libs/libressl )
+ opus? ( >=media-libs/opus-1.0.1 )
+ portaudio? ( media-libs/portaudio )
+ pulseaudio? ( media-sound/pulseaudio )
+ speech? ( >=app-accessibility/speech-dispatcher-0.8.0 )
+ zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
+"
+DEPEND="${RDEPEND}
+ >=dev-libs/boost-1.41.0
+ x11-base/xorg-proto
+"
+BDEPEND="
+ dev-qt/linguist-tools:5
+ virtual/pkgconfig
+"
+
+src_configure() {
+ myuse() {
+ [[ -n "${1}" ]] || die "myuse: No use option given"
+ use ${1} || echo no-${1}
+ }
+
+ local conf_add=(
+ bundled-celt
+ no-bundled-opus
+ no-bundled-speex
+ no-embed-qt-translations
+ no-server
+ no-update
+ $(myuse alsa)
+ $(myuse dbus)
+ $(usex debug 'symbols debug' release)
+ $(myuse g15)
+ $(usex jack '' no-jackaudio)
+ $(myuse opus)
+ $(myuse oss)
+ $(myuse portaudio)
+ $(myuse pulseaudio)
+ $(myuse rnnoise)
+ $(usex speech '' no-speechd)
+ $(usex zeroconf '' no-bonjour)
+ )
+
+ use pch || conf_add+=( no-pch )
+
+ eqmake5 "${S}/main.pro" -recursive \
+ CONFIG+="${conf_add[*]}" \
+ DEFINES+="PLUGIN_PATH=/usr/$(get_libdir)/mumble"
+}
+
+src_install() {
+ newdoc README.Linux README
+ dodoc CHANGES
+
+ local dir=release
+ if use debug; then
+ dir=debug
+ fi
+
+ dobin "${dir}"/mumble
+ dobin scripts/mumble-overlay
+
+ insinto /usr/share/services
+ doins scripts/mumble.protocol
+
+ domenu scripts/mumble.desktop
+
+ doicon -s scalable icons/mumble.svg
+
+ doman man/mumble-overlay.1
+ doman man/mumble.1
+
+ dolib.so "${dir}"/libmumble.so* "${dir}"/libcelt0.so* "${dir}"/plugins/lib*.so*
+}
+
+pkg_preinst() {
+ xdg_pkg_preinst
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ echo
+ elog "Visit http://mumble.sourceforge.net/ for futher configuration instructions."
+ elog "Run mumble-overlay to start the OpenGL overlay (after starting mumble)."
+ echo
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+}